#include <bits/stdc++.h>
using namespace std;

int main() {
    int n,l;
    cin>>n>>l;
    int a[1005];
    for(int i=0;i<n;i++){
        
        cin>>a[i];
        
    }
    int br=0;
    int da=0;
    for(int i=0;i<n;i++){
        
        if(a[i]<=l){
            br=i;
            da=1;
            //cout<<"test"<<endl;
            break;
        }
    }
    
    if(da==0){
        cout<<-1<<endl;
    }
    else{
        cout<<br+1<<endl;
    }
    
    return 0;
}